

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

### File Specific:
   main-programmer: hdavid, amaechler
*/


#include "weather_effects.h"
#include "util/loading/load_param.h"


using namespace std;


/**
 * @param root The XML-element to load the WeatherEffects from
 */
WeatherEffects::WeatherEffects(const TiXmlElement* root)
{
  // this->setClassID(CL_WEATHER_EFFECTS, "WeatherEffects");
  this->bActivated = false;
}


/**
 *  destroys a WeatherEffects
 */
WeatherEffects::~WeatherEffects()
{

}


/**
 * @param root The XML-element to load the WeatherEffects from
 */
void WeatherEffects::loadParams(const TiXmlElement* root)
{
  BaseObject::loadParams(root);
}


/**
 *  initializes the graphics effect
 */
bool WeatherEffects::init()
{}



/**
 * draws the effect, if needed
 */
void WeatherEffects::draw() const
{}



/**
 * ticks the effect if there is any time dependancy
 */
void WeatherEffects::tick(float dt)
{}

